
package com.tmerclub.cloud.biz.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * VO
 *
 * @author cl
 * @date 2021-05-20 11:09:53
 */
public class NotifyTemplateTagVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "标签消息通知关联表")
    private Long notifyTagId;

    @Schema(description = "标签id")
    private Long userTagId;

    @Schema(description = "模板id")
    private Long templateId;

    public Long getNotifyTagId() {
        return notifyTagId;
    }

    public void setNotifyTagId(Long notifyTagId) {
        this.notifyTagId = notifyTagId;
    }

    public Long getUserTagId() {
        return userTagId;
    }

    public void setUserTagId(Long userTagId) {
        this.userTagId = userTagId;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    @Override
    public String toString() {
        return "NotifyTemplateTagVO{" +
                "notifyTagId=" + notifyTagId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",userTagId=" + userTagId +
                ",templateId=" + templateId +
                '}';
    }
}
